# frozen_string_literal: true

module JSONAPI
  module SimpleClient
    class Error < StandardError
    end

    class ClientError < Error
    end

    class BadRequest < ClientError
    end

    class NotFound < ClientError
    end

    class Forbidden < ClientError
    end

    class Conflict < ClientError
    end

    class UnprocessableEntity < ClientError
    end

    class ServerError < Error
    end
  end
end
